LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTextArea Interface Referencepublished

gives access to the text in a control. More...

`import"XTextArea.idl";`

Inheritance diagram for XTextArea:

## Public Member Functions
string | getTextLines ()
| returns the text lines as a single string with line separators. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the text in a control.

## Member Function Documentation

## ◆ getTextLines()

string getTextLines | ( |  | ) |

returns the text lines as a single string with line separators.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTextArea.idl